Subject: Re: bug#38796: 26.3; `view-lossage': Use a variable for the lossage limit

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Aug 2020 09:04:06 +0300

> From: Tino Calancha <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  [email-masked],  [email-masked],
>  [email-masked]
> Date: Thu, 27 Aug 2020 23:28:03 +0200
> 
> People agree with that.  The friction arises because I kept the current
> implementation, which can be seen as abusing on it, and/or risky.
> [ I have neither plan nor time to redo the current implementation. ]
> >>     Users can still safely modify the lossage limit with the
> >>     command `update-lossage-size'.  For convenience, add
> >>     a function `lossage-size' to return the current limit.
> >
> > Hm...  other functions use the convention of having a zero-parameter
> > function return the data, and having a parameter to set it.  So
> > (lossage-size 500) could set it and (lossage-size) could return the
> > current size?
> I have amended the patch to do this.  Thank you.
> 
> FWIW I have been running Emacs almost 3 months using this branch
> with no issues.
> If Eli is OK with it, I can merge it to master next week.

Sorry, OK with what? where's the patch which I should agree with?